Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PG_ObjectGroup_Map.h File Reference

`#include "ace/config-all.h"`
`#include "PG_MemberInfo.h"`
`#include "orbsvcs/PortableGroupC.h"`
`#include "tao/PortableServer/Key_Adapters.h"`
`#include "tao/PortableServer/PortableServerC.h"`
`#include "ace/Hash_Map_Manager_T.h"`

Include dependency graph for PG_ObjectGroup_Map.h:

This graph shows which files directly or indirectly include this file:

## Compounds
struct | TAO_PG_ObjectGroup_Map_Entry
| Value field of the ObjectGroup map. More...
## Typedefs
typedef ACE_Hash_Map_Manager_Ex< PortableServer::ObjectId, TAO_PG_ObjectGroup_Map_Entry *, TAO_ObjectId_Hash, ACE_Equal_To< PortableServer::ObjectId >, ACE_Null_Mutex > | TAO_PG_ObjectGroup_Map
| ObjectId hash map typedef.

## Detailed Description

Id:
  PG_ObjectGroup_Map.h,v 1.3 2003/12/22 01:44:38 wilson_d Exp

Author:
  Ossama Othman <ossama@uci.edu>

## Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex< PortableServer::ObjectId, TAO_PG_ObjectGroup_Map_Entry *, TAO_ObjectId_Hash, ACE_Equal_To<PortableServer::ObjectId>, ACE_Null_Mutex> TAO_PG_ObjectGroup_Map

| ObjectId hash map typedef.